CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

添加分隔符方法 (ActiveX)

2023-1-4 12:23| 发布者: admin| 查看: 490| 评论: 0|来自: AutoCAD

摘要: 将分隔符添加到现有菜单或工具栏。

将分隔符添加到现有菜单或工具栏。

支持的平台:仅窗口

签名

工 务 局:

RetVal = object.AddSeparator(Index)
对象

类型:弹出菜单工具栏

此方法适用的对象。

指数

访问:仅输入

类型:变体

菜单或工具栏中要添加项的索引位置。

如果使用整数指定菜单或工具栏中的给定位置,则索引必须介于 1 和N-1 之间,其中N是弹出菜单或工具栏中的对象数。分隔符将紧接在指定的索引位置之前添加。若要将分隔符添加到菜单或工具栏的末尾,请将索引设置为大于N

如果指定了字符串,但索引项不存在,则会在菜单或工具栏的末尾添加分隔符。

返回值(RetVal)

类型:弹出菜单项,工具栏项

新创建的分隔符项。

言论

菜单或工具栏中的第一项不能是分隔符,因此不能将分隔符添加到索引位置 0。

不能在紧挨着另一个分隔符旁边添加分隔符。

例子

工 务 局:

Sub Example_AddSeparator()
    ' This example creates a new menu called TestMenu and inserts a menu item
    ' and a separator into it. The menu is then displayed on the menu bar.
    ' To remove the menu after execution of this macro, use the Customize Menu
    ' option from the Tools menu.
    
    Dim currMenuGroup As acadMenuGroup
    Set currMenuGroup = ThisDrawing.Application.MenuGroups.Item(0)
    
    ' Create the new menu
    Dim newMenu As AcadPopupMenu
    Set newMenu = currMenuGroup.Menus.Add("TestMenu")
    
    ' Add a menu item to the new menu
    Dim newMenuItem As AcadPopupMenuItem
    Dim openMacro As String
    
    ' Assign the macro string the VB equivalent of "ESC ESC _open "
    openMacro = Chr(3) & Chr(3) & Chr(95) & "open" & Chr(32)
    
    Set newMenuItem = newMenu.AddMenuItem(newMenu.count + 1, "Open", openMacro)
    
    ' Add a separator to the end of the menu
    Dim newMenuSeparator As AcadPopupMenuItem
    Set newMenuSeparator = newMenu.AddSeparator("")
    
    ' Display the menu on the menu bar
    newMenu.InsertInMenuBar ThisDrawing.Application.MenuBar.count + 1
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_AddSeparator()
    ;; This example creates a new menu called TestMenu and inserts a menu item
    ;; and a separator into it. The menu is then displayed on the menu bar.
    ;; To remove the menu after execution of this macro, use the Customize Menu
    ;; option from the Tools menu.
    (setq acadObj (vlax-get-acad-object))
    (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0))

    ;; Create the new menu
    (setq newMenu (vla-Add (vla-get-Menus currMenuGroup) "TestMenu"))
    
    ;; Add a menu item to the new menu
    (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32)))
    (setq newMenuItem (vla-AddMenuItem newMenu (1+ (vla-get-Count newMenu)) "Open" openMacro))
    
    ;; Add a separator to the end of the menu
    (setq newMenuSeparator (vla-AddSeparator newMenu ""))
    
    ;; Display the menu on the menu bar
    (vla-InsertInMenuBar newMenu (1+ (vla-get-Count (vla-get-MenuBar acadObj))))
    
    ;; Display the menu bar
    (vla-SetVariable doc "MENUBAR" 1)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 14:43

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部